Account Settings v1
Reference for the Account Settings v1 endpoints on Roblox.
Base URL: https://accountsettings.roblox.com
Endpoints
Section titled “Endpoints”| Method | Path | Name |
|---|---|---|
GET | /v1/account/settings/account-country | getAccountSettingsAccountCountry |
POST | /v1/account/settings/account-country | postAccountSettingsAccountCountry |
GET | /v1/account/settings/metadata | getAccountSettingsMetadata |
GET | /v1/email | getEmail |
POST | /v1/email | postEmail |
PATCH | /v1/email | patchEmail |
POST | /v1/email/verify | postEmailVerify |
GET | /v1/emails | getEmails |
GET | /v1/themes/:consumerType/:consumerId | getThemesConsumertypeConsumerid |
PATCH | /v1/themes/:consumerType/:consumerId | patchThemesConsumertypeConsumerid |
GET | /v1/themes/types | getThemesTypes |
GET | /v1/trade-privacy | getTradePrivacy |
POST | /v1/trade-privacy | postTradePrivacy |
GET | /v1/trade-value | getTradeValue |
POST | /v1/trade-value | postTradeValue |
getAccountSettingsAccountCountry
Section titled “getAccountSettingsAccountCountry”GET /v1/account/settings/account-country
Get a user’s current account country setting.
Usage
import { fetchApi } from 'rozod';import { getAccountSettingsAccountCountry } from 'rozod/lib/endpoints/accountsettingsv1';
const data = await fetchApi(getAccountSettingsAccountCountry, undefined);Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
value | object | See below |
value fields:
| Field | Type | Description |
|---|---|---|
countryName | string | |
subdivisionIso | string | |
localizedSubdivision | string | |
localizedName | string | |
countryId | number |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 401 | 0: Authorization has been denied for this request. |
postAccountSettingsAccountCountry
Section titled “postAccountSettingsAccountCountry”POST /v1/account/settings/account-country
Updates the user’s account country.
Usage
import { fetchApi } from 'rozod';import { postAccountSettingsAccountCountry } from 'rozod/lib/endpoints/accountsettingsv1';
const data = await fetchApi(postAccountSettingsAccountCountry, { body: { /* ... */ }});Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
targetCountryId | number |
Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: InvalidRequest |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed 2: OperationNotPermitted |
| 404 | 2: OperationNotPermitted |
| 500 | 0: Unknown |
getAccountSettingsMetadata
Section titled “getAccountSettingsMetadata”GET /v1/account/settings/metadata
Returns metadata used by the account settings page
Usage
import { fetchApi } from 'rozod';import { getAccountSettingsMetadata } from 'rozod/lib/endpoints/accountsettingsv1';
const data = await fetchApi(getAccountSettingsMetadata, undefined);Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
IsAccountsRestrictionsSpamBugFixEnabled | boolean | |
MaximumParentalControlsMonthlySpendLimitInUSD | number | |
IsParentalMonthlyLimitInUIEnabled | boolean | |
IsParentalNotificationSettingsInUIEnabled | boolean | |
IsContentControlsEnabled | boolean |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 401 | 0: Authorization has been denied for this request. |
getEmail
Section titled “getEmail”GET /v1/email
Gets the authenticated user’s email address and verified status
Usage
import { fetchApi } from 'rozod';import { getEmail } from 'rozod/lib/endpoints/accountsettingsv1';
const data = await fetchApi(getEmail, undefined);Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
emailAddress | string | |
verified | boolean | |
canBypassPasswordForEmailUpdate | boolean |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 401 | 0: Authorization has been denied for this request. |
postEmail
Section titled “postEmail”POST /v1/email
Updates the authenticated user’s email address
Usage
import { fetchApi } from 'rozod';import { postEmail } from 'rozod/lib/endpoints/accountsettingsv1';
const data = await fetchApi(postEmail, { body: { /* ... */ }});Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
password | string | |
emailAddress | string | |
skipVerificationEmail | boolean | |
isAdsAccount | boolean |
Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 8: Password is incorrect. 9: Invalid email address. |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed 2: This feature is currently disabled. Please try again later. 3: There are too many accounts associated with this email address. 11: You must be on the Corporate network to log in. |
| 409 | 4: This is already the current email. |
| 429 | 6: Too many attempts to update email. Please try again later. 7: Too many attempts to send verification email. Please try again later. |
| 503 | 2: This feature is currently disabled. Please try again later. |
patchEmail
Section titled “patchEmail”PATCH /v1/email
Updates the authenticated user’s email address
Usage
import { fetchApi } from 'rozod';import { patchEmail } from 'rozod/lib/endpoints/accountsettingsv1';
const data = await fetchApi(patchEmail, { body: { /* ... */ }});Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
password | string | |
emailAddress | string | |
skipVerificationEmail | boolean | |
isAdsAccount | boolean |
Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 8: Password is incorrect. 9: Invalid email address. |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed 2: This feature is currently disabled. Please try again later. 3: There are too many accounts associated with this email address. 11: You must be on the Corporate network to log in. |
| 409 | 4: This is already the current email. |
| 429 | 6: Too many attempts to update email. Please try again later. 7: Too many attempts to send verification email. Please try again later. |
| 503 | 2: This feature is currently disabled. Please try again later. |
postEmailVerify
Section titled “postEmailVerify”POST /v1/email/verify
Send verify email to the authenticated user’s email address
Usage
import { fetchApi } from 'rozod';import { postEmailVerify } from 'rozod/lib/endpoints/accountsettingsv1';
const data = await fetchApi(postEmailVerify, { body: { /* ... */ }});Request Body
Section titled “Request Body”Type: SendVerifyEmailRequest.optional()
Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 10: No email address is associated with the account. |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed 2: This feature is currently disabled. Please try again later. 11: You must be on the Corporate network to log in. |
| 409 | 5: The email is already verified. |
| 429 | 7: Too many attempts to send verification email. Please try again later. |
| 503 | 2: This feature is currently disabled. Please try again later. |
getEmails
Section titled “getEmails”GET /v1/emails
Gets the authenticated user’s verified email and pending (unverified) email if one exists
Usage
import { fetchApi } from 'rozod';import { getEmails } from 'rozod/lib/endpoints/accountsettingsv1';
const data = await fetchApi(getEmails, undefined);Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
verifiedEmail | string | |
pendingEmail | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 401 | 0: Authorization has been denied for this request. |
getThemesConsumertypeConsumerid
Section titled “getThemesConsumertypeConsumerid”GET /v1/themes/:consumerType/:consumerId
returns the theme type for a specific consumer.
Usage
import { fetchApi } from 'rozod';import { getThemesConsumertypeConsumerid } from 'rozod/lib/endpoints/accountsettingsv1';
const data = await fetchApi(getThemesConsumertypeConsumerid, { consumerType: /* unknown */, consumerId: /* string */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
consumerType | unknown | Yes | The consumer type |
consumerId | string | Yes | The consumer’s theme configuration to get. If the consumerType is User always return the AuthenticatedUser’s theme type. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
themeType | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 3: Invalid consumer type. |
| 401 | 0: Authorization has been denied for this request. |
patchThemesConsumertypeConsumerid
Section titled “patchThemesConsumertypeConsumerid”PATCH /v1/themes/:consumerType/:consumerId
Modify the theme type for consumer.
Usage
import { fetchApi } from 'rozod';import { patchThemesConsumertypeConsumerid } from 'rozod/lib/endpoints/accountsettingsv1';
const data = await fetchApi(patchThemesConsumertypeConsumerid, { consumerType: /* unknown */, consumerId: /* integer */, body: { /* ... */ }});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
consumerType | unknown | Yes | The consumer type |
consumerId | integer | Yes | The consumer’s theme configuration to modify. If the consumerType is User always modify the AuthenticatedUser’s theme type. |
Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
themeType | string |
Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 2: Invalid theme type. |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed |
getThemesTypes
Section titled “getThemesTypes”GET /v1/themes/types
returns all the enabled theme types.
Usage
import { fetchApi } from 'rozod';import { getThemesTypes } from 'rozod/lib/endpoints/accountsettingsv1';
const data = await fetchApi(getThemesTypes, undefined);Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data | string[] |
getTradePrivacy
Section titled “getTradePrivacy”GET /v1/trade-privacy
Get a user’s trade privacy setting
Usage
import { fetchApi } from 'rozod';import { getTradePrivacy } from 'rozod/lib/endpoints/accountsettingsv1';
const data = await fetchApi(getTradePrivacy, undefined);Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
tradePrivacy | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 401 | 0: Authorization has been denied for this request. |
postTradePrivacy
Section titled “postTradePrivacy”POST /v1/trade-privacy
Updates a user’s trade privacy setting
Usage
import { fetchApi } from 'rozod';import { postTradePrivacy } from 'rozod/lib/endpoints/accountsettingsv1';
const data = await fetchApi(postTradePrivacy, { body: { /* ... */ }});Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
tradePrivacy | `“Undefined" | "Disabled" |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
tradePrivacy | `“Undefined" | "Disabled" |
inventoryPrivacy | `“NoOne" | "Friends" |
privacySettingResponse | `“Success" | "Conflict”` |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | Roblox.AccountSettings.Api.ResponseEnums.TradeSettingsErrors.InvalidTradePrivacy |
| 401 | 0: Authorization has been denied for this request. |
| 403 | Roblox.AccountSettings.Api.ResponseEnums.TradeSettingsErrors.AccountLocked OR Roblox.AccountSettings.Api.ResponseEnums.TradeSettingsErrors.UserCannotTrade 0: Token Validation Failed |
getTradeValue
Section titled “getTradeValue”GET /v1/trade-value
Get a user’s trade quality filter setting
Usage
import { fetchApi } from 'rozod';import { getTradeValue } from 'rozod/lib/endpoints/accountsettingsv1';
const data = await fetchApi(getTradeValue, undefined);Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
tradeValue | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 401 | 0: Authorization has been denied for this request. |
postTradeValue
Section titled “postTradeValue”POST /v1/trade-value
Updates a user’s trade quality filter setting
Usage
import { fetchApi } from 'rozod';import { postTradeValue } from 'rozod/lib/endpoints/accountsettingsv1';
const data = await fetchApi(postTradeValue, { body: { /* ... */ }});Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
tradeValue | `“Undefined" | "None" |
Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | Roblox.AccountSettings.Api.ResponseEnums.TradeSettingsErrors.InvalidTradeValue |
| 401 | 0: Authorization has been denied for this request. |
| 403 | Roblox.AccountSettings.Api.ResponseEnums.TradeSettingsErrors.AccountLocked OR Roblox.AccountSettings.Api.ResponseEnums.TradeSettingsErrors.UserCannotTrade 0: Token Validation Failed |